/*******************************************************************************
 * FoxGRI_TDM generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGRI_TDM extends FoxGRI_DM
    native
    config(Game)
    hidecategories(Navigation,Movement,Collision);

var private transient float LastGameStatusDialog;
var transient float GameStatusDialogInterval;
var Engine.OnlineSubsystemTypes.ERoundTeamSwapType RoundTeamSwapType;

replication
{
    // Pos:0x000
    if((Role == ROLE_Authority) && bNetDirty)
        RoundTeamSwapType
}

// Export UFoxGRI_TDM::execCheckScore(FFrame&, void* const)
native simulated function CheckScore(Controller PC);

// Export UFoxGRI_TDM::execCheckLeadChange(FFrame&, void* const)
native simulated function CheckLeadChange(Controller PC);

// Export UFoxGRI_TDM::execGetMatchScoreRatio(FFrame&, void* const)
native simulated function float GetMatchScoreRatio();

// Export UFoxGRI_TDM::execGetMatchScoreCloseness(FFrame&, void* const)
native simulated function float GetMatchScoreCloseness();

simulated event Timer()
{
    // End:0x6C
    if((WorldInfo.RealTimeSeconds - LastGameStatusDialog) > GameStatusDialogInterval)
    {
        // End:0x6C
        if(GameStatusDialog())
        {
            LastGameStatusDialog = WorldInfo.RealTimeSeconds;
        }
    }
    super.Timer();
    //return;    
}

// Export UFoxGRI_TDM::execGetSortedPRIs(FFrame&, void* const)
native simulated function array<FoxPRI> GetSortedPRIs(optional byte TeamIndex, optional bool bForGameEnd)
{
    TeamIndex = 0;                    
}

// Export UFoxGRI_TDM::execGetScoreForTeam(FFrame&, void* const)
native simulated function int GetScoreForTeam(int TeamIndex);

// Export UFoxGRI_TDM::execGameStatusDialog(FFrame&, void* const)
native function bool GameStatusDialog();

simulated function int GetTeamPostGameExperience(bool bWon)
{
    // End:0x38
    if(bWon)
    {
        return class<FoxScoringInfoTDM>(ScoringInfoClass).default.ExpTeamWin;
    }
    // End:0x60
    else
    {
        return class<FoxScoringInfoTDM>(ScoringInfoClass).default.ExpTeamLose;
    }
    return 0;
    //return ReturnValue;    
}

// Export UFoxGRI_TDM::execGetHighestThreatPRI(FFrame&, void* const)
native simulated function FoxPRI GetHighestThreatPRI(int TeamIndex);

// Export UFoxGRI_TDM::execGetVIPPRI(FFrame&, void* const)
native simulated function FoxPRI GetVIPPRI(int TeamIndex);

// Export UFoxGRI_TDM::execGetTeamBoostMultiplier(FFrame&, void* const)
native simulated function float GetTeamBoostMultiplier(FoxPRI PRI, FoxTypes.EBoostModifierType BoostType);

simulated function bool ShouldTeamsSwap()
{
    local int RoundSwapNum;

    // End:0x19
    if(RoundTeamSwapType == 2)
    {
        return true;
    }
    // End:0x62
    else
    {
        // End:0x62
        if(RoundTeamSwapType == 3)
        {
            RoundSwapNum = (NumRounds / 2) - 1;
            return RoundSwapNum == CurrentRoundNum;
        }
    }
    return false;
    //return ReturnValue;    
}

defaultproperties
{
    GameStatusDialogInterval=30.0
    RoundTeamSwapType=ERoundTeamSwapType.ERTST_EveryRound
    ScoringInfoClass=class'FoxScoringInfoTDM'
    GameTypeCode="TDM"
    GameClass=class'FoxGameMP_TDM'
}